MODULE YOEVDF

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------
!*    ** *YOEVDF* CONTAINS CONSTANTS NEEDED BY *VDF....*
!     ------------------------------------------------------------------

REAL(KIND=JPRB) :: RLAM
REAL(KIND=JPRB) :: RKAP
REAL(KIND=JPRB) :: RCHAR
REAL(KIND=JPRB) :: RVDIFTS
REAL(KIND=JPRB) :: RZ0ICE
REAL(KIND=JPRB) :: REPDU2
REAL(KIND=JPRB) :: REPUST
REAL(KIND=JPRB) :: RSEZ0H
REAL(KIND=JPRB) :: RSEZ0Q
REAL(KIND=JPRB) :: RNUM
REAL(KIND=JPRB) :: RNUH
REAL(KIND=JPRB) :: RNUQ
REAL(KIND=JPRB) :: RENTR
REAL(KIND=JPRB) :: RPAR
REAL(KIND=JPRB) :: RPAR1
REAL(KIND=JPRB) :: RPARSRF
REAL(KIND=JPRB) :: RPARZI
REAL(KIND=JPRB) :: RLAMSK
LOGICAL LELWDD

!*     *YOEVDF* CONTAINS CONSTANTS NEEDED BY *VDF....*
!     FOR THE COMPUTATION OF VERTICAL DIFFUSION


!     A.C.M. BELJAARS      E.C.M.W.F.    14/12/89

!     OBUKHOV-L UPDATE     ACMB          26/03/90.   

!     NAME        TYPE     DESCRIPTION
!     ----        ----     -----------

!     *RLAM*      REAL     *ASYMPTOTIC MIXING LENGTH FOR MOMENTUM
!     *RKAP*      REAL     *VONKARMAN CONSTANT
!     *RCHAR*     REAL     *CHARNOCK CONSTANT
!     *RVDIFTS*   REAL     *FACTOR FOR TIME STEP WEIGHTING IN *VDF....*
!     *RZ0ICE*    REAL     *ROUGHNESS OVER SEA ICE
!     *REPDU2*    REAL     *MINIMUM VELOCITY DIFFERENCE IN RI-NUMBER
!     *REPDU2*    REAL     *MINIMUM VELOCITY DIFFERENCE IN RI-NUMBER  
!     *REPUST*    REAL     *MINIMUM FRICTION VELOCITY (SECURITY PARAMETER)
!     *RSEZ0H*    REAL     *ROUGHNESS LENGTH FOR HEAT OVER ROUGH SEA   
!     *RSEZ0Q*    REAL     *ROUGHNESS LENGTH FOR MOISTURE OVER ROUGH SEA 
!     *RNUM*      REAL     *SMOOTH SURFACE CONSTANT IN Z0M=RNUM/U*    
!     *RNUH*      REAL     *SMOOTH SURFACE CONSTANT IN Z0H=RNUH/U*  
!     *RNUQ*      REAL     *SMOOTH SURFACE CONSTANT IN Z0Q=RNUQ/U*    
!     *RENTR*     REAL     *ENTRAINMENT CONSTANT          
!     *RPAR*      REAL     *PARAMETER FOR TEMPERATURE EXCESS IN THERMAL 
!                           AT BOUNDARY LAYER TOP      
!     *RPAR1*     REAL     *COEFFICIENT OF (W*)**3 IN WS         
!     *RPARSRF*   REAL     *DEPTH OF SURFACE LAYER AS FRACTION OF PBL-H 
!     *RPARZI*    REAL     *ANSATZ FOR PBL-H IN W* COMPUTATION  
!     *RLAMSK*    REAL     *SKIN LAYER THERMAL BULK CONDUCTIVITY (W/M2/K)
!     *LELWDD*    LOGICAL  *TRUE WHEN LONGWAVE DOWNWARD DERIVATIVE IS
!                           FOR SKIN TEMPERATURE  
!     ------------------------------------------------------------------
END MODULE YOEVDF
